Multi-node GPU Cluster
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Multi-node GPU Cluster service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.3 | CURRENT | - |
| 1.2 | SUPPORTED | 20270131 |
OpenAPI URL
https://multinodegpucluster.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
API Version History
1.2
Multi-Node GPU Cluster Open API has been released.
Changes
- [New]
GET /gpu-nodes - listGpuNodes API has been added. - [New]
GET /gpu-nodes/{gpu_node_id} - showGpuNode API has been added. - [New]
POST /gpu-nodes - createGpuNodes API has been added. - [New]
DELETE /gpu-nodes - deleteGpuNodes API has been added. - [New]
POST /gpu-nodes/start - startGpuNodes API has been added. - [New]
POST /gpu-nodes/stop - stopGpuNodes API has been added. - [New]
PUT /gpu-nodes/{gpu_node_id}/lock - lockGpuNode API has been added. - [New]
PUT /gpu-nodes/{gpu_node_id}/unlock - unlockGpuNode API has been added. - [New]
GET /gpu-nodes/images - listGpuNodeImages API has been added. - [New]
GET /gpu-nodes/products - listGpuNodeProducts API has been added. - [New]
GET /cluster-fabrics - listClusterFabrics API has been added. - [New]
GET /cluster-fabrics/{cluster_fabric_id} - showClusterFabric API has been added. - [New]
POST /cluster-fabrics/modify-members - modifyClusterFabricMembers API has been added. - [New]
GET /cluster-fabrics/node-pools - listNodePools API has been added. - [New]
POST /gpu-nodes/{gpu_node_id}/public-nat-ip - assignGpuNodePublicNatIp API has been added. - [New]
DELETE /gpu-nodes/{gpu_node_id}/public-nat-ip - releaseGpuNodePublicNatIp API has been added.
1 - APIs
1.1 - Assign GpuNode Public NAT IP
1.1.1 - 1.3
post /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Assign public NAT IP to GPU Node.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| GpuNodeAssignPublicNatIpRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.1.2 - 1.2
post /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Assign public NAT IP to GPU Node.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| GpuNodeAssignPublicNatIpRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.2 - Create GPU Nodes
1.2.1 - 1.3
post /v1/gpu-nodes
Description
Create GPU Nodes.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"region_id": "kr-west1",
"lock_enabled": true,
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"os_user_id": "user001",
"os_user_password": "password",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"server_details": [
{
"gpu_node_name": "gpu-node-001",
"server_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"ip_address": "192.168.0.1",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"zone": "kr-west1-a"
}
],
"cluster_fabric_details": {
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"cluster_fabric_name": "cluster001"
},
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.2.2 - 1.2
post /v1/gpu-nodes
Description
Create GPU Nodes.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"region_id": "kr-west1",
"lock_enabled": true,
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"os_user_id": "user001",
"os_user_password": "password",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"server_details": [
{
"gpu_node_name": "gpu-node-001",
"server_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"ip_address": "192.168.0.1",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
],
"cluster_fabric_details": {
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"cluster_fabric_name": "cluster001"
},
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.3 - Delete GPU Nodes
1.3.1 - 1.3
delete /v1/gpu-nodes
Description
Delete GPU Nodes.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.3.2 - 1.2
delete /v1/gpu-nodes
Description
Delete GPU Nodes.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.4 - List Cluster Fabrics
1.4.1 - 1.3
get /v1/cluster-fabrics
Description
List Cluster Fabrics.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | state optional | State Example : RUNNING
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID Example : POOL001-krw1a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"cluster_fabrics": [
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"cluster_name": "cluster001",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"state": "RUNNING",
"description": "description",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"server_type": "s1v8m32_metal",
"used_server_count": 20,
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
]
}
],
"count": 20
}
1.4.2 - 1.2
get /v1/cluster-fabrics
Description
List Cluster Fabrics.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | state optional | State Example : RUNNING
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID Example : POOL001-krw1a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"cluster_fabrics": [
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"cluster_name": "cluster001",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"state": "RUNNING",
"description": "description",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"server_type": "s1v8m32_metal",
"used_server_count": 20,
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
]
}
],
"count": 20
}
1.5 - List GPU Node Images
1.5.1 - 1.3
get /v1/gpu-nodes/images
Description
List GPU Node images.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | Region ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"images": [
{
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"created_at": "2024-07-11 08:56:59",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_os_version": "8.7",
"scp_image_type": "STANDARD",
"priority": 20
}
]
}
1.5.2 - 1.2
get /v1/gpu-nodes/images
Description
List GPU Node images.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | Region ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"images": [
{
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"created_at": "2024-07-11 08:56:59",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_os_version": "8.7",
"scp_image_type": "STANDARD",
"priority": 20
}
]
}
1.6 - List GPU Node Products
1.6.1 - 1.3
get /v1/gpu-nodes/products
Description
List GPU Node products.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | type optional | Product type Example : SCALE
| any of [string, null] | None |
| query | image_id optional | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gpu-nodes/products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"products": [
{
"id": "SCALE",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"type": "SCALE",
"name": "s2v16m128_metal",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"state": "AVAILABLE",
"product_attrs": {
"compute_class_type_name": "GPU H100 Metal-2",
"compute_class_type_value": "g2_mteal",
"cpu_value": "64",
"disk_unit": "GB",
"disk_value": "480",
"gpu_model": "H100",
"memory_value": "128"
}
}
]
}
1.6.2 - 1.2
get /v1/gpu-nodes/products
Description
List GPU Node products.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | type optional | Product type Example : SCALE
| any of [string, null] | None |
| query | image_id optional | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gpu-nodes/products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"products": [
{
"id": "SCALE",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"type": "SCALE",
"name": "s2v16m128_metal",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"state": "AVAILABLE",
"product_attrs": {
"compute_class_type_name": "GPU H100 Metal-2",
"compute_class_type_value": "g2_mteal",
"cpu_value": "64",
"disk_unit": "GB",
"disk_value": "480",
"gpu_model": "H100",
"memory_value": "128"
}
}
]
}
1.7 - List GPU Nodes
1.7.1 - 1.3
get /v1/gpu-nodes
Description
List GPU Nodes.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | gpu_node_name optional | GPU Node Name Example : gpu-node-001
| any of [string, null] | None |
| query | state optional | GPU Node State Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Gpu Node ip Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | Gpu Node VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
| query | zone optional | Availability Zone Example : kr-west1-a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeListResponseV1Dot3 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"gpu_nodes": [
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"gpu_node_name": "gpu-node-001",
"lock_enabled": true,
"root_account": "rootaccount",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_ip": "192.168.0.1",
"policy_use_nat": true,
"policy_nat": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"state": "RUNNING",
"init_script": "init script",
"os_type": "WINDOWS",
"cluster_fabric_name": "cluster001",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"node_pool_id": "POOL001-krw1a",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
],
"zone": "kr-west1-a"
}
],
"count": 20
}
1.7.2 - 1.2
get /v1/gpu-nodes
Description
List GPU Nodes.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | gpu_node_name optional | GPU Node Name Example : gpu-node-001
| any of [string, null] | None |
| query | state optional | GPU Node State Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Gpu Node ip Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | Gpu Node VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"gpu_nodes": [
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"gpu_node_name": "gpu-node-001",
"lock_enabled": true,
"root_account": "rootaccount",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_ip": "192.168.0.1",
"policy_use_nat": true,
"policy_nat": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"state": "RUNNING",
"init_script": "init script",
"os_type": "WINDOWS",
"cluster_fabric_name": "cluster001",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"node_pool_id": "POOL001-krw1a",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
]
}
],
"count": 20
}
1.8 - List Node Pools
1.8.1 - 1.3
get /v1/cluster-fabrics/node-pools
Description
List node pools by subnet_id+zone or cluster_fabric_id. Provide subnet_id and zone together, or cluster_fabric_id alone.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | subnet_id optional | Subnet ID (required with cluster_fabric_id is empty) Example : ab313c43291e4b678f4bacffe10768ae
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID (required when subnet_id is empty) Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID (filter results for a specific node pool) Example : POOL001-krw1a
| any of [string, null] | None |
| query | zone optional | Availability Zone (required when subnet_id is provided) Example : kr-west1-a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | NodePoolListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/node-pools
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"node_pools": [
{
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_details": []
}
],
"count": 20
}
1.8.2 - 1.2
get /v1/cluster-fabrics/node-pools
Description
List node pools by cluster_fabric_id or subnet_id.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | subnet_id optional | Subnet ID (required with cluster_fabric_id is empty) Example : ab313c43291e4b678f4bacffe10768ae
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID (required when subnet_id is empty) Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID (filter results for a specific node pool) Example : POOL001-krw1a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | NodePoolListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/node-pools
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"node_pools": [
{
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_details": []
}
],
"count": 20
}
1.9 - Lock GPU Node
1.9.1 - 1.3
put /v1/gpu-nodes/{gpu_node_id}/lock
Description
Lock GPU Node.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.9.2 - 1.2
put /v1/gpu-nodes/{gpu_node_id}/lock
Description
Lock GPU Node.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.10 - Modify Cluster Fabric Members
1.10.1 - 1.3
post /v1/cluster-fabrics/modify-members
Description
Modify Cluster Fabric Members.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/modify-members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"before_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"after_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.10.2 - 1.2
post /v1/cluster-fabrics/modify-members
Description
Modify Cluster Fabric Members.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/modify-members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"before_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"after_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.11 - Release GPU Node Public NAT IP
1.11.1 - 1.3
delete /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Release public NAT IP from GPU Node.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.11.2 - 1.2
delete /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Release public NAT IP from GPU Node.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.12 - Show Cluster Fabric
1.12.1 - 1.3
get /v1/cluster-fabrics/{cluster_fabric_id}
Description
Show Cluster Fabric.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/{cluster_fabric_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"cluster_name": "cluster001",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"state": "RUNNING",
"description": "description",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"server_type": "s1v8m32_metal",
"used_server_count": 20,
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
]
}
1.12.2 - 1.2
get /v1/cluster-fabrics/{cluster_fabric_id}
Description
Show Cluster Fabric.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/{cluster_fabric_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"cluster_name": "cluster001",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"state": "RUNNING",
"description": "description",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"server_type": "s1v8m32_metal",
"used_server_count": 20,
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
]
}
1.13 - Show GPU Node
1.13.1 - 1.3
get /v1/gpu-nodes/{gpu_node_id}
Description
Show GPU Node.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeShowResponseV1Dot3 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"gpu_node_name": "gpu-node-001",
"lock_enabled": true,
"root_account": "rootaccount",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_ip": "192.168.0.1",
"policy_use_nat": true,
"policy_nat": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"state": "RUNNING",
"init_script": "init script",
"os_type": "WINDOWS",
"cluster_fabric_name": "cluster001",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"node_pool_id": "POOL001-krw1a",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
],
"zone": "kr-west1-a"
}
1.13.2 - 1.2
get /v1/gpu-nodes/{gpu_node_id}
Description
Show GPU Node.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"region_id": "kr-west1",
"gpu_node_name": "gpu-node-001",
"lock_enabled": true,
"root_account": "rootaccount",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_ip": "192.168.0.1",
"policy_use_nat": true,
"policy_nat": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"state": "RUNNING",
"init_script": "init script",
"os_type": "WINDOWS",
"cluster_fabric_name": "cluster001",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"node_pool_id": "POOL001-krw1a",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
]
}
1.14 - Start GPU Nodes
1.14.1 - 1.3
post /v1/gpu-nodes/start
Description
Start GPU Nodes.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.14.2 - 1.2
post /v1/gpu-nodes/start
Description
Start GPU Nodes.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15 - Stop GPU Nodes
1.15.1 - 1.3
post /v1/gpu-nodes/stop
Description
Stop GPU Nodes.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15.2 - 1.2
post /v1/gpu-nodes/stop
Description
Stop GPU Nodes.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16 - Unlock GPU Node
1.16.1 - 1.3
put /v1/gpu-nodes/{gpu_node_id}/unlock
Description
Unlock GPU Node.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16.2 - 1.2
put /v1/gpu-nodes/{gpu_node_id}/unlock
Description
Unlock GPU Node.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
2 - Models
2.1 - AsyncResponse
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
request_id required | Request ID Example : req-002daa83-52d9-41e8-9b0f-d31d35610f65
| string | |
resource_id required | Resource ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.2 - ClusterFabricDetailsRequest
| Name | Description | Schema | Default |
|---|
node_pool_id required | Node Pool ID Example : POOL001-krw1a
| string | |
cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
cluster_fabric_name required | Cluster Fabric 이름 Example : cluster001
| string | |
2.3 - ClusterFabricDetailsResponse
| Name | Description | Schema | Default |
|---|
cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
cluster_fabric_name required | Cluster Fabric 이름 Example : cluster001
| string | |
product_id required | Product ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| any of [string, null] | |
2.4 - ClusterFabricListResponse
| Name | Description | Schema | Default |
|---|
cluster_fabrics required |
| array[ClusterFabricShowResponse] | |
count required | count Example : 20
| any of [integer, null] | |
2.5 - ClusterFabricMemberModifyRequestBody
| Name | Description | Schema | Default |
|---|
before_cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
after_cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
gpu_node_id_list required | GPU Node ID List Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[string] | |
2.6 - ClusterFabricShowResponse
| Name | Description | Schema | Default |
|---|
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
region_id required | Region ID Example : kr-west1
| string | |
cluster_name required | Cluster Fabric 이름 Example : cluster001
| string | |
product_id required | Product Type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
state required | State Example : RUNNING
| string | |
description required | Description Example : description
| string | |
node_pool_id required | Node Pool ID Example : POOL001-krw1a
| string | |
pirp_id optional | pirpId Example : 20
| any of [string, null] | |
server_type optional | Server Type Example : s1v8m32_metal
| any of [string, null] | |
used_server_count optional | GPU Node Count Example : 20
| any of [integer, null] | |
gpu_node_details optional | GPU Node 상세
| any of [array[GpuNodeDetailsResponse], null] | |
2.7 - GpuNodeActionResponse
| Name | Description | Schema | Default |
|---|
gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.8 - GpuNodeAssignPublicNatIpRequest
| Name | Description | Schema | Default |
|---|
public_ip_address_id required | Public NAT IP Address ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.9 - GpuNodeCreateRequest
| Name | Description | Schema | Default |
|---|
region_id required | Region ID Example : kr-west1
| string | |
lock_enabled optional | 삭제 방지 여부 Example : True
| boolean | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
init_script optional | Init Script Example : init script
| any of [string, null] | |
os_user_id required | OS 사용자 계정 Example : user001
| string | |
os_user_password required | OS 사용자 패스워드 Example : password
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
subnet_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
server_details required | 서버 상세
| array[GpuNodeDetailsRequest] | |
cluster_fabric_details required | Cluster Fabric 상세
| ClusterFabricDetailsRequest | |
tags required | Tags
| any of [array[Tag], null] | |
2.10 - GpuNodeCreateRequestV1Dot3
| Name | Description | Schema | Default |
|---|
region_id required | Region ID Example : kr-west1
| string | |
lock_enabled optional | 삭제 방지 여부 Example : True
| boolean | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
init_script optional | Init Script Example : init script
| any of [string, null] | |
os_user_id required | OS 사용자 계정 Example : user001
| string | |
os_user_password required | OS 사용자 패스워드 Example : password
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
subnet_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
server_details required | 서버 상세
| array[GpuNodeDetailsRequestV1Dot3] | |
cluster_fabric_details required | Cluster Fabric 상세
| ClusterFabricDetailsRequest | |
tags required | Tags
| any of [array[Tag], null] | |
2.11 - GpuNodeDetailsRequest
| Name | Description | Schema | Default |
|---|
gpu_node_name required | GPU Node Name Example : gpu-node-001
| string | |
server_type_id required | Server Type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
ip_address optional | Private IP Example : 192.168.0.1
| any of [string, null] | |
nat_enabled required | NAT Enabled Example : True
| boolean | |
public_ip_address_id optional | NAT IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
2.12 - GpuNodeDetailsRequestV1Dot3
| Name | Description | Schema | Default |
|---|
gpu_node_name required | GPU Node Name Example : gpu-node-001
| string | |
server_type_id required | Server Type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
ip_address optional | Private IP Example : 192.168.0.1
| any of [string, null] | |
nat_enabled required | NAT Enabled Example : True
| boolean | |
public_ip_address_id optional | NAT IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
zone required | Availability Zone Example : kr-west1-a
| string | |
2.13 - GpuNodeDetailsResponse
| Name | Description | Schema | Default |
|---|
gpu_node_id required | ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
gpu_node_name required | GPU Node Name Example : gpu-node-001
| string | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
product_type_id required | Product Type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
server_type optional | Server Type Example : s1v8m32_metal
| any of [string, null] | |
state required | State Example : RUNNING
| string | |
2.14 - GpuNodeImageListResponse
2.15 - GpuNodeImageShowResponse
| Name | Description | Schema | Default |
|---|
id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
created_at required | Created at Example : 2024-07-11 08:56:59
| string (date-time) | |
name required | Name Example : RHEL 8.8 for BM
| string | |
os_distro required | OS Distro Example : RHEL
| string | |
scp_os_version required | SCP OS version Example : 8.7
| string | |
scp_image_type required | SCP image type Example : STANDARD
| string | |
priority required | GPU Node Image priority Example : 20
| string | |
2.16 - GpuNodeListResponse
| Name | Description | Schema | Default |
|---|
gpu_nodes required |
| array[GpuNodeShowResponse] | |
count required | GPU Node Count Example : 20
| any of [integer, null] | |
2.17 - GpuNodeListResponseV1Dot3
| Name | Description | Schema | Default |
|---|
gpu_nodes required |
| array[GpuNodeShowResponseV1Dot3] | |
count required | GPU Node Count Example : 20
| any of [integer, null] | |
2.18 - GpuNodeOperationRequest
| Name | Description | Schema | Default |
|---|
gpu_node_ids required | GPU Node ID List Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.19 - GpuNodeProductAttr
| Name | Description | Schema | Default |
|---|
compute_class_type_name required | Compute class type name Example : GPU H100 Metal-2
| string | |
compute_class_type_value required | Compute class type unit Example : g2_mteal
| string | |
cpu_value required | CPU value Example : 64
| string | |
disk_unit required | Disk unit Example : GB
| string | |
disk_value required | Disk value Example : 480
| string | |
gpu_model required | GPU Model Example : H100
| string | |
memory_value required | Memory value Example : 128
| string | |
2.20 - GpuNodeProductListResponse
2.21 - GpuNodeProductShowResponse
| Name | Description | Schema | Default |
|---|
id required | ID Example : SCALE
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
type required | Type Example : SCALE
| string | |
name required | Name Example : s2v16m128_metal
| string | |
description required | Description Example : vCPU 16 │ Memory 128G │ Disk 480G
| string | |
state required | State Example : AVAILABLE
| string | |
product_attrs required | Product Attr
| GpuNodeProductAttr | |
2.22 - GpuNodeShowResponse
| Name | Description | Schema | Default |
|---|
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
region_id required | Region ID Example : kr-west1
| string | |
gpu_node_name required | GPU Node Name Example : gpu-node-001
| string | |
lock_enabled optional | lock_enabled Example : True
| boolean | |
root_account required | Root account Example : rootaccount
| string | |
time_zone required | Time Zone Example : Asia/Seoul
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
network_id required | Network ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
policy_use_nat optional | Policy use NAT Example : True
| boolean | |
policy_nat optional | Policy NAT Example : 192.168.0.1
| any of [string, null] | |
product_type_id required | Product type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
server_type required | Server type Example : s1v8m32_metal
| string | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | Image Version Example : RHEL 8.7 for BM
| string | |
state required | GPU Node State Example : RUNNING
| string | |
init_script required | Init script Example : init script
| string | |
os_type required | OS type Example : WINDOWS
| string | |
cluster_fabric_name required | Cluster Fabric Name Example : cluster001
| string | |
cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
node_pool_id required | Node Pool ID Example : POOL001-krw1a
| string | |
pfs_ip optional | PFS IP list Example : ['10.252.128.2', '10.252.128.3']
| any of [array[string], null] | |
2.23 - GpuNodeShowResponseV1Dot3
| Name | Description | Schema | Default |
|---|
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
region_id required | Region ID Example : kr-west1
| string | |
gpu_node_name required | GPU Node Name Example : gpu-node-001
| string | |
lock_enabled optional | lock_enabled Example : True
| boolean | |
root_account required | Root account Example : rootaccount
| string | |
time_zone required | Time Zone Example : Asia/Seoul
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
network_id required | Network ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
policy_use_nat optional | Policy use NAT Example : True
| boolean | |
policy_nat optional | Policy NAT Example : 192.168.0.1
| any of [string, null] | |
product_type_id required | Product type ID Example : f90e8ef54cc2451b825608e9f95f7bcb
| string | |
server_type required | Server type Example : s1v8m32_metal
| string | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | Image Version Example : RHEL 8.7 for BM
| string | |
state required | GPU Node State Example : RUNNING
| string | |
init_script required | Init script Example : init script
| string | |
os_type required | OS type Example : WINDOWS
| string | |
cluster_fabric_name required | Cluster Fabric Name Example : cluster001
| string | |
cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
node_pool_id required | Node Pool ID Example : POOL001-krw1a
| string | |
pfs_ip optional | PFS IP list Example : ['10.252.128.2', '10.252.128.3']
| any of [array[string], null] | |
zone required | Availability Zone Example : kr-west1-a
| string | |
2.24 - GpuNodeTerminateRequest
| Name | Description | Schema | Default |
|---|
gpu_node_ids required | GPU Node ID List Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.25 - NodePoolListResponse
| Name | Description | Schema | Default |
|---|
node_pools required |
| array[NodePoolShowResponse] | |
count required | count Example : 20
| any of [integer, null] | |
2.26 - NodePoolShowResponse
| Name | Description | Schema | Default |
|---|
node_pool_id required | Node Pool ID Example : POOL001-krw1a
| string | |
cluster_fabric_details optional | Cluster Fabric 상세
| array[ClusterFabricDetailsResponse] | |
2.27 - Tag
| Name | Description | Schema | Default |
|---|
key optional | tag key Example :
| any of [string, null] | |
value optional | tag value Example :
| any of [string, null] | |